NSX-T Data Center REST API

Get realization failures for vpc (Experimental)

Retrieves only the resources with the reason not "SUCCESS". In case of failure or warning of the resource a reason object explaining the type of failure (ERROR, WARNING)
and the detailed message of what the user could do to remediate is captured.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpcs/{vpc-id}/realization-failures
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/org-1/projects/project-1/vpcs/vpc-1/realization-failures

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyVpcAlarm+

Example Response:

{ "realization_entities": [ { "realization_id": "3d371765-e5e2-4a1d-aa95-7e38fefd1b36", "reason": { "type": "ERROR", "code": "101", "description": "Error description", "message": "Detailed message about the issue and remediation" } }, { "realization_id": "186472be-fa1c-4a04-add7-8da419672ada", "reason": { "type": "WARNING", "code": "102", "description": "warning description", "message": "Detailed message about the warning and remediation" } } ], "subnets": { "realization_entities": [ { "realization_id": "32e5c1f1-a960-4027-808d-61e2b3a4a04a", "status": "FAILED", "reason": { "type": "FAILED", "code": 610751, "description": "Dhcp relay is not supported for Isolated subnets", "message": [ "Dhcp relay is not supported for Isolated subnets" ] } }, { "realization_id": "32e5c1f1-a960-4027-808d-61e2b3a4a04a", "reason": { "type": "FAILED", "code": 610751, "description": "Dhcp relay is not supported for Isolated subnets", "message": [ "Dhcp relay is not supported for Isolated subnets" ] } } ] }, "security_policies": { "realization_entities": [ { "realization_id": "32e5c1f1-a960-4027-808d-61e2b3a4a04a", "reason": { "type": "FAILED", "code": 610703, "description": "Applied to is not allowed on VPC Security rules.", "message": [ "Applied to is not allowed on VPC Security rules." ] } } ] }, "gateway_policies": { "realization_entities": [ { "realization_id": "4t65c1f1-a960-4027-808d-61e2b3a4a04a", "reason": { "type": "FAILED", "code": 610703, "description": "Applied to is not allowed on VPC Gateway Security rules.", "message": [ "Applied to is not allowed on VPCGateway Security rules." ] } } ] }, "static_routes": { "realization_entities": [ { "realization_id": "4e2c998e-5d0b-4231-8edb-d82de9701157", "entity_type": "RealizedNetworkStaticRoute", "reason": { "type": "FAILED", "code": 503637, "description": "For segment /orgs/default/projects/default/vpcs/vpc_1/subnets/subnet_2, DHCP server address is not specified for local DHCP server. Cannot configure static binding.", "message": [ "For segment /orgs/default/projects/default/vpcs/vpc_1/subnets/subnet_2, DHCP server address is not specified for local DHCP server. Cannot configure static binding." ] } } ] }, "groups": { "realization_entities": [ { "realization_id": "7d73e920-88a0-421a-8e36-dd64d8a5b4ae", "status": "FAILED", "entity_type": "RealizedGroup", "reason": { "type": "FAILED", "code": 610735, "description": "Group with given Antrea/Kubernetes member types cannot be shared", "message": [ "Group with given Antrea/Kubernetes member types cannot be shared" ] } } ] }, "nat": { "rules": [ { "realization_entities": [ { "realization_id": "61e3cac5-a960-5646-808d-61e2b3a4a04a", "reason": { "type": "FAILED", "code": 610703, "description": "Invalid Source Network 164.90.10.00 for Action DNAT", "message": [ "Invalid Source Network 164.90.10.00 for Action DNAT" ] } } ] } ] } }

Required Permissions:

read

Feature:

policy_vpc

Additional Errors: